/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 * @format
 * @oncall react_native
 */

import type { Task } from "./types";
import type { ExecaPromise } from "execa";
type BundlerOptions =
  /**
   * > 39 |   ...Bundler,
   *      |   ^^^^^^^^^^ Unsupported feature: Translating "object types with spreads in the middle or at the end" is currently not supported.
   **/
  any;
type HermesConfig = { path: string; hermesc: string };
type BundlerWatch = {
  readonly mode: "watch";
  callback?: (metro: ExecaPromise) => void;
};
type BundlerBuild = { readonly mode: "bundle" };
type Bundler = BundlerWatch | BundlerBuild;
export declare const tasks: {
  bundle: (options: BundlerOptions, ...args: ReadonlyArray<string>) => Bundle;
};
type Bundle = {
  validate?: Task<void>;
  javascript: Task<ExecaPromise>;
  sourcemap?: Task<void>;
  validateHermesc?: Task<ExecaPromise>;
  convert?: Task<ExecaPromise>;
  compose?: Task<ExecaPromise>;
};
